/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.UrlShortenerApi);
  }
}(this, function(expect, UrlShortenerApi) {
  'use strict';

  var instance;

  describe('(package)', function() {
    describe('HookRequest', function() {
      beforeEach(function() {
        instance = new UrlShortenerApi.HookRequest();
      });

      it('should create an instance of HookRequest', function() {
        // TODO: update the code to test HookRequest
        expect(instance).to.be.a(UrlShortenerApi.HookRequest);
      });

      it('should have the property uriId (base name: "uriId")', function() {
        // TODO: update the code to test the property uriId
        expect(instance).to.have.property('uriId');
        // expect(instance.uriId).to.be(expectedValueLiteral);
      });

      it('should have the property trigger (base name: "trigger")', function() {
        // TODO: update the code to test the property trigger
        expect(instance).to.have.property('trigger');
        // expect(instance.trigger).to.be(expectedValueLiteral);
      });

      it('should have the property actionsHTTP (base name: "actionsHTTP")', function() {
        // TODO: update the code to test the property actionsHTTP
        expect(instance).to.have.property('actionsHTTP');
        // expect(instance.actionsHTTP).to.be(expectedValueLiteral);
      });

      it('should have the property actionsMail (base name: "actionsMail")', function() {
        // TODO: update the code to test the property actionsMail
        expect(instance).to.have.property('actionsMail');
        // expect(instance.actionsMail).to.be(expectedValueLiteral);
      });

    });
  });

}));
